![stability mature](https://img.shields.io/badge/stability-mature-008000.svg)
[![latest tag](https://img.shields.io/packagist/v/d3/varbackup?label=release)](https://packagist.org/packages/d3/varbackup)
[![License](https://img.shields.io/packagist/l/d3/varbackup)](https://git.d3data.de/D3Public/varbackup/raw/branch/main/LICENSE.md)

# Var Backup

create a rotating backup of the var folder

## Installation

Open a command line and navigate to the root directory of the project. Execute the following command. Adapt the path details to your installation environment.

```
composer require d3/varbackup
```

## How to use

### Show options list

```
./vendor/bin/varbackup -h
```

### Create backups

Create a cronjob or execute the following script manually:

```
./vendor/bin/varbackup [-s]
```

### Restore last backup

```
tar -xvf backup/var/latest.tar
```

or

```
tar -xzvf backup/var/var.tar.2025-01-01.gz
```

## Customizing

Execute the script initially. After that, modify the `backup/var/rotatemap_var.conf` to your need

## Changelog

See [CHANGELOG](CHANGELOG.md) for further informations.

## Contributing

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue. Don't forget to give the project a star! Thanks again!

- Fork the Project
- Create your Feature Branch (git checkout -b feature/AmazingFeature)
- Commit your Changes (git commit -m 'Add some AmazingFeature')
- Push to the Branch (git push origin feature/AmazingFeature)
- Open a Pull Request

## Licence of this software (Var Backup) [MIT]

(2025-01-29)

```
Copyright (c) D3 Data Development (Inh. Thomas Dartsch)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
```